org.apache.jmeter.visualizers

## Class RespTimeGraphChart

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - org.apache.jmeter.visualizers.RespTimeGraphChart

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

      public class RespTimeGraphChart
      extends javax.swing.JPanel

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Color[]` | `color`
    `protected double[][]` | `data`
    `protected int` | `height`
    `protected int` | `incrYAxisScale`
    `protected java.awt.Font` | `legendFont`
    `protected java.lang.String[]` | `legendLabels`
    `protected int` | `legendPlacement`
    `protected int` | `maxYAxisScale`
    `protected java.awt.Shape` | `pointShape`
    `protected boolean` | `showGrouping`
    `protected float` | `strokeWidth`
    `protected java.lang.String` | `title`
    `protected java.awt.Font` | `titleFont`
    `protected int` | `width`
    `protected java.lang.String[]` | `xAxisLabels`
    `protected java.lang.String` | `xAxisTitle`
    `protected java.lang.String` | `yAxisLabel`
    `protected java.lang.String` | `yAxisTitle`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RespTimeGraphChart()` Constructor
    `RespTimeGraphChart(java.awt.LayoutManager layout)` Constructor
    `RespTimeGraphChart(java.awt.LayoutManager layout, boolean isDoubleBuffered)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color[]` | `getColor()`
    `java.awt.Font` | `getLegendFont()`
    `int` | `getLegendPlacement()`
    `int` | `getMaxYAxisScale()`
    `java.awt.Shape` | `getPointShape()`
    `float` | `getStrokeWidth()`
    `java.awt.Font` | `getTitleFont()`
    `boolean` | `isShowGrouping()`
    `void` | `paintComponent(java.awt.Graphics graphics)`
    `void` | `setColor(java.awt.Color[] color)`
    `void` | `setData(double[][] data)`
    `void` | `setHeight(int h)`
    `void` | `setIncrYAxisScale(int incrYAxisScale)`
    `void` | `setLegendFont(java.awt.Font legendFont)`
    `void` | `setLegendLabels(java.lang.String[] labels)`
    `void` | `setLegendPlacement(int legendPlacement)`
    `void` | `setMaxYAxisScale(int maxYAxisScale)`
    `void` | `setPointShape(java.awt.Shape pointShape)`
    `void` | `setShowGrouping(boolean showGrouping)`
    `void` | `setStrokeWidth(float strokeWidth)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setTitleFont(java.awt.Font titleFont)`
    `void` | `setWidth(int w)`
    `void` | `setXAxisLabels(java.lang.String[] labels)`
    `void` | `setXAxisTitle(java.lang.String title)`
    `void` | `setYAxisLabels(java.lang.String label)`
    `void` | `setYAxisTitle(java.lang.String title)`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### data

          protected double[][] data

    - #### title

          protected java.lang.String title

    - #### xAxisTitle

          protected java.lang.String xAxisTitle

    - #### yAxisTitle

          protected java.lang.String yAxisTitle

    - #### yAxisLabel

          protected java.lang.String yAxisLabel

    - #### xAxisLabels

          protected java.lang.String[] xAxisLabels

    - #### width

          protected int width

    - #### height

          protected int height

    - #### incrYAxisScale

          protected int incrYAxisScale

    - #### legendLabels

          protected java.lang.String[] legendLabels

    - #### maxYAxisScale

          protected int maxYAxisScale

    - #### titleFont

          protected java.awt.Font titleFont

    - #### legendFont

          protected java.awt.Font legendFont

    - #### color

          protected java.awt.Color[] color

    - #### showGrouping

          protected boolean showGrouping

    - #### legendPlacement

          protected int legendPlacement

    - #### pointShape

          protected java.awt.Shape pointShape

    - #### strokeWidth

          protected float strokeWidth

  - ### Constructor Detail

    - #### RespTimeGraphChart

          public RespTimeGraphChart()

      Constructor

    - #### RespTimeGraphChart

          public RespTimeGraphChart(java.awt.LayoutManager layout)

      Constructor
      Parameters:
        `layout` - The `LayoutManager` to be used

    - #### RespTimeGraphChart

          public RespTimeGraphChart(java.awt.LayoutManager layout,
                                    boolean isDoubleBuffered)

      Constructor
      Parameters:
        `layout` - The `LayoutManager` to be used
        `isDoubleBuffered` - Flag whether double buffering should be used

  - ### Method Detail

    - #### setData

          public void setData(double[][] data)

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### setXAxisTitle

          public void setXAxisTitle(java.lang.String title)

    - #### setYAxisTitle

          public void setYAxisTitle(java.lang.String title)

    - #### setXAxisLabels

          public void setXAxisLabels(java.lang.String[] labels)

    - #### setYAxisLabels

          public void setYAxisLabels(java.lang.String label)

    - #### setLegendLabels

          public void setLegendLabels(java.lang.String[] labels)

    - #### setWidth

          public void setWidth(int w)

    - #### setHeight

          public void setHeight(int h)

    - #### setIncrYAxisScale

          public void setIncrYAxisScale(int incrYAxisScale)

      Parameters:
        `incrYAxisScale` - the incrYAxisScale to set

    - #### getMaxYAxisScale

          public int getMaxYAxisScale()

      Returns:
        the maxYAxisScale

    - #### setMaxYAxisScale

          public void setMaxYAxisScale(int maxYAxisScale)

      Parameters:
        `maxYAxisScale` - the maxYAxisScale to set

    - #### getColor

          public java.awt.Color[] getColor()

      Returns:
        the color

    - #### setColor

          public void setColor(java.awt.Color[] color)

      Parameters:
        `color` - the color to set

    - #### getTitleFont

          public java.awt.Font getTitleFont()

      Returns:
        the titleFont

    - #### setTitleFont

          public void setTitleFont(java.awt.Font titleFont)

      Parameters:
        `titleFont` - the titleFont to set

    - #### getLegendFont

          public java.awt.Font getLegendFont()

      Returns:
        the legendFont

    - #### setLegendFont

          public void setLegendFont(java.awt.Font legendFont)

      Parameters:
        `legendFont` - the legendFont to set

    - #### getLegendPlacement

          public int getLegendPlacement()

      Returns:
        the legendPlacement

    - #### setLegendPlacement

          public void setLegendPlacement(int legendPlacement)

      Parameters:
        `legendPlacement` - the legendPlacement to set

    - #### getPointShape

          public java.awt.Shape getPointShape()

      Returns:
        the pointShape

    - #### setPointShape

          public void setPointShape(java.awt.Shape pointShape)

      Parameters:
        `pointShape` - the pointShape to set

    - #### getStrokeWidth

          public float getStrokeWidth()

      Returns:
        the strokeWidth

    - #### setStrokeWidth

          public void setStrokeWidth(float strokeWidth)

      Parameters:
        `strokeWidth` - the strokeWidth to set

    - #### isShowGrouping

          public boolean isShowGrouping()

      Returns:
        the showGrouping

    - #### setShowGrouping

          public void setShowGrouping(boolean showGrouping)

      Parameters:
        `showGrouping` - the showGrouping to set

    - #### paintComponent

          public void paintComponent(java.awt.Graphics graphics)

      Overrides:
        `paintComponent` in class `javax.swing.JComponent`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.